Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.reasoner
Class DIGReasonerPreferences

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.dig.reasoner.DIGReasonerPreferences

    public class DIGReasonerPreferences

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Feb 15, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Method Summary
`static DIGReasonerPreferences` | `getInstance()`
`OutputStream` | `getLogOutputStream()` Gets the output stream used for logging.
`boolean` | `isTreatErrorsAsWarnings()` Determines if DIG Errors should be regarded as warnings.
`void` | `setLogOutputStream(OutputStream logOutputStream)` Sets the output stream used for logging.
`void` | `setTreatErrorsAsWarnings(boolean b)` Specifies whether DIG Errors should be regarded as warnings

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DIGReasonerPreferences getInstance()

### isTreatErrorsAsWarnings

    public boolean isTreatErrorsAsWarnings()

  Determines if DIG Errors should be regarded as warnings.

### setTreatErrorsAsWarnings

    public void setTreatErrorsAsWarnings(boolean b)

  Specifies whether DIG Errors should be regarded as warnings

  Parameters:
    `b` - `true` if errors should be regarded as warnings, otherwise `false`.

### getLogOutputStream

    public OutputStream getLogOutputStream()

  Gets the output stream used for logging.

### setLogOutputStream

    public void setLogOutputStream(OutputStream logOutputStream)

  Sets the output stream used for logging.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.